<template>
	<v-card justify="center" align="center" min-width="220px">
		<div class="name"> {{ color }} </div>
		<chip-counter :color="color" class="chip-icon" size="120px"></chip-counter>
		<v-row class="input" align="center">
			<v-spacer />
			<v-col cols="7">
				<v-text-field
					v-model="count"
					v-on:change="validate()"
					hide-details
					single-line
					clearable
					placeholder="0"
					outlined
					class="nospin"
					height="5px"
				/>
			</v-col>
			<!-- <v-spacer /> -->
			<v-col cols="1">
				<v-btn  v-on:click="add(1)" x-small>
					<v-icon small> mdi-plus </v-icon>
				</v-btn>
				<v-btn v-on:click="add(-1)" x-small>
					<v-icon small> mdi-minus </v-icon>
				</v-btn>	
			</v-col>
			<v-spacer />
		</v-row>
	</v-card>
</template>

<style scoped>
.input {
	padding-bottom: 20px;
}
.name{
	border-bottom: 1px solid #24325e5f;
	box-shadow:0 0.5px 1px darkgray;
	font-size: 18pt;
	width: 95%;
}
.v-text-field{
	min-height: 0;
}
.v-card{
	border:1px solid  #24325e5f;
	
}
.chip-icon {
	padding: 10px 0;
}
</style>


<script>
import ChipCounter from './ChipCounter.vue';
export default {
	components: { ChipCounter },
	name: "ChipCard",
	props: {
		color: String,
	},
	data: function () {
		return {
			count: 0,
		};
	},
	methods: {
		add: function (amt) {
			this.count = parseInt(this.count) + amt;
			this.validate();
		},
		validate: function () {
			this.count = parseInt(this.count);
			if (this.count < 0 || isNaN(this.count)) {
				this.count = 0;
			}
			this.$emit('amt-changed', {color: this.color, amt: this.count})
		},
	},
};
</script>